MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
MemorySongEnumerator Class Referencefinal

`#include <MemorySongEnumerator.hxx>`

Inheritance diagram for MemorySongEnumerator:
[legend]
Collaboration diagram for MemorySongEnumerator:
[legend]

## Public Member Functions
| MemorySongEnumerator (std::forward_list< DetachedSong > &&_songs)
virtual std::unique_ptr< DetachedSong > | NextSong () override
| Obtain the next song. More...
Public Member Functions inherited from SongEnumerator
virtual | ~SongEnumerator ()

## Detailed Description

Definition at line 29 of file MemorySongEnumerator.hxx.

## Constructor & Destructor Documentation

MemorySongEnumerator::MemorySongEnumerator | ( | std::forward_list< DetachedSong > && | _songs | ) |
| inline

Definition at line 33 of file MemorySongEnumerator.hxx.

## Member Function Documentation

virtual std::unique_ptr<DetachedSong> MemorySongEnumerator::NextSong | ( |  | ) |
| override virtual

Obtain the next song.

Returns nullptr if there are no more songs.

Implements SongEnumerator.

The documentation for this class was generated from the following file:

- playlist/MemorySongEnumerator.hxx